## org.apache.mahout.math.hadoop.stochasticsvd
Class ABtJob

    java.lang.Object
      org.apache.mahout.math.hadoop.stochasticsvd.ABtJob

    public final class ABtJob

extends Object

Computes ABt products, then first step of QR which is pushed down to the reducer.

Nested Class Summary
`static class` `ABtJob.ABtMapper` So, here, i preload A block into memory.
`static class` `ABtJob.QRReducer` QR first step pushed down to reducer.

Field Summary
`static String` `PROP_BT_BROADCAST`
`static String` `PROP_BT_PATH`

Method Summary
`static void` `run(org.apache.hadoop.conf.Configuration conf, org.apache.hadoop.fs.Path[] inputAPaths, org.apache.hadoop.fs.Path inputBtGlob, org.apache.hadoop.fs.Path outputPath, int aBlockRows, int minSplitSize, int k, int p, int outerProdBlockHeight, int numReduceTasks, boolean broadcastBInput)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_BT_PATH

    public static final String PROP_BT_PATH

See Also:
  Constant Field Values

### PROP_BT_BROADCAST

    public static final String PROP_BT_BROADCAST

See Also:
  Constant Field Values

Method Detail

### run

    public static void run(org.apache.hadoop.conf.Configuration conf,
                           org.apache.hadoop.fs.Path[] inputAPaths,
                           org.apache.hadoop.fs.Path inputBtGlob,
                           org.apache.hadoop.fs.Path outputPath,
                           int aBlockRows,
                           int minSplitSize,
                           int k,
                           int p,
                           int outerProdBlockHeight,
                           int numReduceTasks,
                           boolean broadcastBInput)
                    throws ClassNotFoundException,
                           InterruptedException,
                           IOException

  Throws:
    `ClassNotFoundException`
    `InterruptedException`
    `IOException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.